"""
ZeroOutRot

Copyright: Rick Barrett (www.cineversity.com)
Written for CINEMA 4D R12.021

Name-US: ZeroOutRot
Description-US: Zeros the relative rotation of selected objects
"""

import c4d
from c4d import gui

# Zero out relative coordinates

def main():
    doc.StartUndo()
    objList = doc.GetActiveObjects(childs=True)
    for obj in objList:
        doc.AddUndo(c4d.UNDOTYPE_CHANGE, obj)
        #obj.SetRelPos(c4d.Vector(0,0,0))
        obj.SetRelRot(c4d.Vector(0,0,0))
    c4d.EventAdd() 
    doc.EndUndo() 

if __name__=='__main__':
    main()